# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/8/11
import datetime
import os
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from main.weiqun_music import Music


class Main:
    @classmethod
    def main(cls):
        while True:
            if 12 >= datetime.datetime.now().hour >= 9:
                # 抓取视频
                Common.logger("weiqun").info("开始抓取微群视频小程序音乐榜\n")
                Music.get_video_list("weiqun")
                # 下载/上传
                Common.logger("weiqun").info("开始下载/上传微群视频小程序音乐榜\n")
                Music.run_download_publish("weiqun", "dev")
                # 清除日志
                Common.logger("weiqun").info("开始清除日志")
                Common.del_logs("weiqun")
                # 休眠
                Common.logger("weiqun").info("休眠 120 分钟\n")
                time.sleep(7200)
            else:
                pass


if __name__ == "__main__":
    main = Main()
    main.main()
